# __init__.py for systemcleaner
# Copyright (C) 2008  Canonical, Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


VERSION = "1.10.1"


from cruft import Cruft
from package_cruft import PackageCruft
from exc import SystemCleanerException as Exception, UnimplementedMethod
from plugin import Plugin, PluginManager
from app import Application
from ui import UserInterface
from ui_cli import CommandLineUserInterface
from ui_gtk import GtkUserInterface
from state import State
from terminalsize import get_terminal_size


# The following is a kludge to silence python-apt's warning about
# the API being unstable.
import warnings
warnings.filterwarnings("ignore", "apt API not stable yet", FutureWarning)
import apt
